﻿<Window x:Class="TreeAppPlus.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:TreeAppPlus"
        mc:Ignorable="d"
        FontSize="20"
        Title="TreeApp" Height="500" Width="800" Icon="free-tree.png" WindowStartupLocation="CenterScreen">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="100"></RowDefinition>
            <RowDefinition></RowDefinition>
        </Grid.RowDefinitions>
        <Grid Margin="10">
            <Grid.ColumnDefinitions>
                <ColumnDefinition></ColumnDefinition>
                <ColumnDefinition Width="200"></ColumnDefinition>
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition></RowDefinition>
                <RowDefinition></RowDefinition>
            </Grid.RowDefinitions>
                <TextBlock Text="Вставьте ссылку" Margin="10,0,0,0" VerticalAlignment="Center"></TextBlock>
                <TextBox Grid.Row="1" VerticalAlignment="Center" x:Name="linkTextBox" Text="{Binding XmlLinkString}" HorizontalAlignment="Stretch" Margin="0,0,10,0"></TextBox>
                <Button Grid.Column="1" VerticalAlignment="Center" x:Name="getTreeBtn" Command="{Binding DownloadCommand}" Content=" Скачать "></Button>
                <Button Grid.Column="1" Grid.Row="1" VerticalAlignment="Center" x:Name="openXmlBtn" Command="{Binding OpenCommand}" Content=" Открыть "></Button>
        </Grid>
        <TreeView Grid.Row="1" x:Name="xmlTreeView" Margin="10,0,10,10"></TreeView>
    </Grid>
</Window>
